package com.src.controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import com.src.entity.Score;
import com.src.entity.SportInfo;
import com.src.entity.User;
import com.src.service.SportService;
import com.src.serviceimpl.SportServiceImpl;

public class SportServlet extends HttpServlet {
   
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		SportService ts = new SportServiceImpl();  //һӿ
	    String method = request.getParameter("method"); //ûܲ
	    if(method.equals("login")){  //ǵ¼
			String name =request.getParameter("name"); //ȡû
			String pass =request.getParameter("pass");  //ȡ
			String type =request.getParameter("type");  //ȡ
			User a= ts.login(name, pass, type);
			if(a.getId()>0){  //иû
				request.getSession().setAttribute("user", a);  //ûϢ浽session תҳ浽ҳ
				request.getRequestDispatcher("index1.jsp").forward(
						request, response);
			}else{  //ûе¼ɹصҳ
				request.getRequestDispatcher("login.jsp").forward(
						request, response);
			}
			
		}else if(method.equals("loginout")){  //˳¼  session
			HttpSession hs = request.getSession(false); 
			hs.removeAttribute("user");
			request.getRequestDispatcher("login.jsp").forward( //ص¼ҳ
					request, response);
		}else if(method.equals("sport_gl")){  //˶
			List<SportInfo> list= ts.sport_list();
			request.setAttribute("list", list);
			request.getRequestDispatcher("sport_gl.jsp").forward(  //תһ гϢ
					request, response);
					
		}
		else if(method.equals("add_sport")){  //˶Ŀ
	    	String sport_name = request.getParameter("sport_name"); //Ŀ
	    	String sport_area = request.getParameter("sport_area"); //
	    	String id = request.getParameter("id");
	    	String sport_sex = request.getParameter("sport_sex");
	    	boolean b = ts.add_sport(sport_name, sport_area,id,sport_sex);
	    	if(b){  //ӳɹĿб
	    		request.getRequestDispatcher("SportServlet?method=sport_gl").forward(request,response);
	    	}else{
	    		request.getRequestDispatcher("add_sport.jsp").forward(request,response);
	    	}
			
		}else if(method.equals("edit_sport")){  //޸г ת޸ҳ
			String id = request.getParameter("id");
			SportInfo xc = ts.select_sportid(id);
			request.setAttribute("sport", xc);
			request.getRequestDispatcher("edit_sport.jsp").forward(  //ת޸гҳ
					request, response);
		}else if(method.equals("redit_sport")){  //ύ޸
			String id = request.getParameter("id"); //гid
			String sport_name = request.getParameter("sport_name"); //Ŀ
	    	String sport_area = request.getParameter("sport_area"); //
	    	String sport_sex = request.getParameter("sport_sex");
			boolean b = ts.edit_sport(sport_name, sport_area, id ,sport_sex);
			if(b){ //ӳɹ תĿҳ
				request.getRequestDispatcher("SportServlet?method=sport_gl").forward(  //Ŀ
						request, response);
			}else{
				request.getRequestDispatcher("SportServlet?method=sport_gl").forward(  //Ŀ
						request, response);
			}
		}else if(method.equals("delete_sport")){  //ɾг
			String id = request.getParameter("id"); //гid
			boolean b = ts.delete_sport(id); //ɾĿ
			if(b){ //ӳɹ תг̹ҳ
				request.getRequestDispatcher("SportServlet?method=sport_gl").forward(  //˶
						request, response);
			}else{
				request.getRequestDispatcher("SportServlet?method=sport_gl").forward(  //˶
						request, response);
			}
		}else if(method.equals("player_gl")){  //˶Ա
			List<User> list= ts.user_list();
			request.setAttribute("list", list);
			request.getRequestDispatcher("player_gl.jsp").forward(  //תһ гϢ
					request, response);
		}else if(method.equals("add_player")){  //˶Ա
			String name = request.getParameter("name"); //
			String id = request.getParameter("id");
	    	String sex = request.getParameter("sex"); //Ա
	    	String area = request.getParameter("area"); //ڵλ
	    	String pass = request.getParameter("pass"); //
	    	boolean b = ts.add_player(name, id, pass, sex, area);
	    	if(b){  //ӳɹĿб
	    		request.getRequestDispatcher("SportServlet?method=player_gl").forward(request,response);
	    	}else{
	    		request.getRequestDispatcher("add_player.jsp").forward(request,response);
	    	}
		}else if(method.equals("edit_player")){
			String id = request.getParameter("id");
			User xc = ts.select_playerid(id);
			request.setAttribute("player", xc);
			request.getRequestDispatcher("edit_player.jsp").forward(  //ת޸˶Ա
					request, response);
		}else if(method.equals("redit_player")){  //޸˶ԱϢ
			String id = request.getParameter("id"); //id
			String name = request.getParameter("name"); //
	    	String sex = request.getParameter("sex"); //Ա
	    	String area = request.getParameter("area"); //λ
	    	User user =new User();
	    	user.setId(Integer.parseInt(id));
	    	user.setName(name);
	    	user.setSex(sex);
	    	user.setArea(area);
			boolean b = ts.edit_player(user);
			if(b){ //ӳɹ תĿҳ
				request.getRequestDispatcher("SportServlet?method=player_gl").forward(  //Ŀ
						request, response);
			}else{
				request.getRequestDispatcher("SportServlet?method=player_gl").forward(  //Ŀ
						request, response);
			}
		}else if(method.equals("delete_player")){  //ɾ˶Ա
			String id = request.getParameter("id"); //˶Աid
			boolean b = ts.delete_player(id);
			if(b){ //ӳɹ ת˶Ա
				request.getRequestDispatcher("SportServlet?method=player_gl").forward(  //˶
						request, response);
			}else{
				request.getRequestDispatcher("SportServlet?method=player_gl").forward(  //˶
						request, response);
			}
		}else if(method.equals("add_score")){  //¼ɼ
			List<SportInfo> list1= ts.sport_list();  //ѯ˶ĿϢ
			List<User> list2= ts.user_list();  //ѯ˶ԱϢ
			request.setAttribute("list1", list1);
			request.setAttribute("list2", list2);
			request.getRequestDispatcher("add_score.jsp").forward(  //ת¼ɼҳ
					request, response);
		}else if(method.equals("score_gl")){
			List<Score> list = ts.select_score();
			request.setAttribute("list", list);
			request.getRequestDispatcher("score_gl.jsp").forward(  //תɼ
					request, response);
		}else if(method.equals("radd_score")){  //¼ɼ
			String name = request.getParameter("name"); //
			String sex = request.getParameter("sex");
	    	String xm_name = request.getParameter("xm_name"); //Ŀ
	    	String cj = request.getParameter("xm_cj"); //ɼ
	    	boolean b = ts.add_score(name,sex, xm_name, cj);
	    	if(b){  //ӳɹĿб
	    		request.getRequestDispatcher("SportServlet?method=score_gl").forward(request,response);
	    	}else{
	    		request.getRequestDispatcher("add_score.jsp").forward(request,response);
	    	}
		}else if(method.equals("delete_score")){  //ɾɼ
			String id = request.getParameter("id"); //ɼid
			boolean b = ts.delete_score(id);
			if(b){ 
				request.getRequestDispatcher("SportServlet?method=score_gl").forward(  //˶
						request, response);
			}else{
				request.getRequestDispatcher("SportServlet?method=score_gl").forward(  //˶
						request, response);
			}
		}else if(method.equals("edit_score")){  //ת޸ĳɼб
			String id = request.getParameter("id");
			Score xc = ts.select_scoreid(id);
			request.setAttribute("score", xc);
			request.getRequestDispatcher("edit_score.jsp").forward(  //ת޸ĳɼ
					request, response);
		}else if(method.equals("redit_score")){  //޸ĳɼ
			String id = request.getParameter("id");
			String cj = request.getParameter("xm_cj");
			boolean b = ts.edit_score(id, cj);
			if(b){ 
				request.getRequestDispatcher("SportServlet?method=score_gl").forward(  //˶
						request, response);
			}else{
				request.getRequestDispatcher("SportServlet?method=score_gl").forward(  //˶
						request, response);
			}
		}else if(method.equals("rank_score")){
			List<Score> list = ts.select_score();
			request.setAttribute("list", list);
			request.getRequestDispatcher("rank_score.jsp").forward(  //
					request, response);
		}else if(method.equals("score_detail")){
			String area_name = request.getParameter("id");
			String str = new String(area_name.getBytes("iso8859-1"),"UTF-8");
			List<Score> list = ts.select_detail(str);
			request.setAttribute("area_name", str);
			request.setAttribute("list", list);
			request.getRequestDispatcher("score_detail.jsp").forward(  //ϸ
					request, response);
		}else if(method.equals("score_tt")){
			List<Score> list = ts.select_tt();
			request.setAttribute("list", list);
			request.getRequestDispatcher("score_tt.jsp").forward(  //
					request, response);
		}
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		this.doGet(request, response);
	}

}
